TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.FTLTransportInfo Class Reference

This class represents TIBCO FTL transports that are configured on the EMS server. More...

Inheritance diagram for TIBCO.EMS.ADMIN.FTLTransportInfo:

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object. More...

## Properties
String | EndpointName`[get]`
| Get the name of the endpoint used by the transport. More...
String | SubscriberName`[get]`
| Get the import subscriber name used by the transport. More...
String | MatchString`[get]`
| Get the import match string used by the transport's content matcher. More...
String | ExportFormat`[get]`
| Get the name of the export format of the transport.. More...
IDictionary< string, string > | Constants`[get]`
| Get an IDictionary<String,String> of the transport export constants. More...
Properties inherited from TIBCO.EMS.ADMIN.TransportInfo
string | Name`[get]`
| Get the name of the transport. More...
TransportType | Type`[get]`
| Get the type of the transport. More...
DeliveryMode | TopicImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a topic. More...
DeliveryMode | QueueImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a queue. More...
bool | ExportHeaders`[get]`
| Indicates whether or not EMS header information is included in messages exported on this transport. More...
bool | ExportProperties`[get]`
| Indicates whether or not the EMS message properties are included in messages exported on this transport. More...

## Detailed Description

This class represents TIBCO FTL transports that are configured on the EMS server.

FTL transports are mechanisms for importing and exporting messages between EMS and TIBCO FTL.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.FTLTransportInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object.

## Property Documentation

IDictionary<string, string> TIBCO.EMS.ADMIN.FTLTransportInfo.Constants
| get

Get an IDictionary<String,String> of the transport export constants.

The key is the name of the constant, and the value is a string representation of the constant value.

Returns
  an IDictionary<String,String> of the transport export constants

since EMS 8.2

String TIBCO.EMS.ADMIN.FTLTransportInfo.EndpointName
| get

Get the name of the endpoint used by the transport.

Returns
  the name of the endpoint.

since EMS 8.2

String TIBCO.EMS.ADMIN.FTLTransportInfo.ExportFormat
| get

Get the name of the export format of the transport..

Returns
  the name of the export format.

since EMS 8.2

String TIBCO.EMS.ADMIN.FTLTransportInfo.MatchString
| get

Get the import match string used by the transport's content matcher.

Returns
  the match string of the transport.

since EMS 8.2

String TIBCO.EMS.ADMIN.FTLTransportInfo.SubscriberName
| get

Get the import subscriber name used by the transport.

Returns
  the name of the subscriber.

since EMS 8.2